(function (angular) {
    angular.module('todoList.list').config(configure);

    configure.$inject = ['$routeProvider'];

    function configure($routeProvider) {
        $routeProvider
            .when('/', {
                templateUrl: '/app/list/list.html',
                controller: 'listController',
                controllerAs: 'listCtrl'
            })
            .when('/list', {
                templateUrl: '/app/list/list.html',
                controller: 'listController',
                controllerAs: 'listCtrl'
            })
            .when('/list/add', {
                templateUrl: '/app/list/list.modify.html',
                controller: 'listModifyController',
                controllerAs: 'listMCtrl'
            })
            .when('/list/edit/:listId', {
                templateUrl: '/app/list/list.modify.html',
                controller: 'listModifyController',
                controllerAs: 'listMCtrl'
            })
        ;

    }
})(angular);